# DataExchange
TKSTEPBase
StepBasic

# StepBasic_CalendarDate Class Reference

`#include <StepBasic_CalendarDate.hxx>`

Inheritance diagram for StepBasic_CalendarDate:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_CalendarDate ()
| Returns a CalendarDate .
virtual Standard_EXPORT void | Init (const Standard_Integer aYearComponent)
virtual Standard_EXPORT void | Init (const Standard_Integer aYearComponent, const Standard_Integer aDayComponent, const Standard_Integer aMonthComponent)
Standard_EXPORT void | SetDayComponent (const Standard_Integer aDayComponent)
Standard_EXPORT Standard_Integer | DayComponent () const
Standard_EXPORT void | SetMonthComponent (const Standard_Integer aMonthComponent)
Standard_EXPORT Standard_Integer | MonthComponent () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | dayComponent
Standard_Integer | monthComponent

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_CalendarDate::StepBasic_CalendarDate | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepBasic_CalendarDate::DayComponent | ( |  | ) | const

Standard_EXPORT const StepBasic_CalendarDate::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_Date.

virtual Standard_EXPORT void StepBasic_CalendarDate::Init | ( | const Standard_Integer | aYearComponent,
|  | const Standard_Integer | aDayComponent,
|  | const Standard_Integer | aMonthComponent
| ) | `[virtual]`

virtual Standard_EXPORT void StepBasic_CalendarDate::Init | ( | const Standard_Integer | aYearComponent | ) | `[virtual]`

| Reimplemented from StepBasic_Date.

Standard_EXPORT Standard_Integer StepBasic_CalendarDate::MonthComponent | ( |  | ) | const

Standard_EXPORT void StepBasic_CalendarDate::SetDayComponent | ( | const Standard_Integer | aDayComponent | ) |

Standard_EXPORT void StepBasic_CalendarDate::SetMonthComponent | ( | const Standard_Integer | aMonthComponent | ) |

## Field Documentation

Standard_Integer StepBasic_CalendarDate::dayComponent `[private]`

Standard_Integer StepBasic_CalendarDate::monthComponent `[private]`

The documentation for this class was generated from the following file:

- StepBasic_CalendarDate.hxx